Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -33,54 +33,55 @@
         /// </summary>
         public enum TableColumn
         {
-            CONSTRUCTION_CODE = 0,
-            TYINGFLG,
-            CONSTRUCTION_YEAR,
-            CONSTRUCTION_PERIOD,
-            REQUESTED_DATE,
-            ESTIMATESSUBMITDEADLINE,
-            ESTIMATESSUBMITTED_DATE,
-            PROVISIONALORDERDATE,
-            ORDER_DATE,
-            ORDERSTARTINGDATE,
-            ORDERCOMPLETIONDATE,
-            PREPARATIONSTARTDATE,
-            CONSTRUCTIONSTARTINGDATE,
-            CONSTRUCTIONCOMPLETION_DATE,
-            NONORDERDATE,
-            ORDERS_DECISION_PRICE,
-            ORDERS_DECISION_PRICE_IN_TAX,
-            SALES_PERSON_CODE,
-            CONSTRPERSONCODE,
-            CONSTRSUBPERSONCODE,
-            CONSTRUCTIONINSTRUCTOR,
-            TRANSFERCONSTRUCTION,
-            TRANSFERCONSTRUCTIONDATE,
-            ORDERERS_DIVISION,
-            ORDERERS_CODE,
-            ESTIMATESEXPIRATIONDATE,
-            CONSTRUCTIONPERIODSTART,
-            CONSTRUCTIONPERIODEND,
-            CONSTRUCTIONPERIODSTART2,
-            CONSTRUCTIONPERIODEND2,
-            START_DATE,
-            END_DATE,
-            PURCHASEORDERMAILINGDATE,
-            PURCHASEORDERRETURNDATE,
-            PURCHASEORDERRETURNCHECKDATE,
-            CONSUMPTIONTAX_FLG,
-            PRIMECONTRACTOR_FLG,
-            SALESCOST_FLG,
-            CONSTRUCTIONSTATUS_FLG,
-            CONSTRUCTIONTYPE,
-            ESTIMATETYPE,
-            BILLINGSTARTDATE,
-            BILLINGDATE,
-            BILLINGSPLITFLG,
-            BILLINGSENDDATE,
-            LEDGERCOMPLATEDATE,
-            ENTRY_DATE,
-            UPDATE_DATE,
+            ConstructionCode = 0,
+            TyingFlg,
+            JoinFlg,
+            ConstructionYear,
+            ConstructionPeriod,
+            RequestedDate,
+            EstimatessubmitDeadLine,
+            EstimatessubmittedDate,
+            ProvisionAlorderDate,
+            OrderDate,
+            OrderStartingDate,
+            OrderCompletionDate,
+            PreparationStartDate,
+            ConstructionStartingDate,
+            ConstructionCompletionDate,
+            NonOrderDate,
+            OrdersDecisionPrice,
+            OrdersDecisionPriceInTax,
+            SalesPersonCode,
+            ConstrPersonCode,
+            ConstrSubPersonCode,
+            ConstructionInstructor,
+            TransferConstruction,
+            TransferConstructionDate,
+            OrderersDivision,
+            OrderersCode,
+            EstimatesExpirationDate,
+            ConstructionPeriodStart,
+            ConstructionPeriodEnd,
+            ConstructionPeriodStart2,
+            ConstructionPeriodEnd2,
+            StartDate,
+            EndDate,
+            PurchaseOrderMailingDate,
+            PurchaseOrderReturnDate,
+            PurchaseOrderReturnCheckDate,
+            ConsumptionTaxFlg,
+            PrimecontractorFlg,
+            SalesCostFlg,
+            ConstructionStatusFlg,
+            ConstructionType,
+            EstimateType,
+            BillingStartDate,
+            BillingDate,
+            BillingSplitFlg,
+            BillingSendDate,
+            LedgerComplateDate,
+            EntryDate,
+            UpdateDate,
         }
         #endregion
 
@@ -106,6 +107,7 @@
 
             strcmd += "  ConstructionCode";
             strcmd += ", TyingFlg";
+            strcmd += ", JoinFlg";
             strcmd += ", ConstructionYear";
             strcmd += ", ConstructionPeriod";
             strcmd += ", DATE_FORMAT(RequestedDate, '%Y/%m/%d')";
@@ -238,6 +240,7 @@
                     strcmd = "INSERT INTO ConstructionBaseInfo";
                     strcmd += " (ConstructionCode";
                     strcmd += ", TyingFlg";
+                    strcmd += ", JoinFlg";
                     strcmd += ", ConstructionYear";
                     strcmd += ", ConstructionPeriod";
                     strcmd += ", RequestedDate";
@@ -289,20 +292,21 @@
 
                     strcmd += string.Format("  {0}", data.ConstructionCode);
                     strcmd += string.Format(", {0}", data.TyingFlg);
+                    strcmd += string.Format(", {0}", data.JoinFlg);
                     strcmd += string.Format(", {0}", data.ConstructionYear);
                     strcmd += string.Format(", {0}", data.ConstructionPeriod);
 
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.RequestedDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.EstimatesSubmitDeadline.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.EstimatesSubmittedDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ProvisionalOrderDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.OrderStartingDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.OrderCompletionDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.PreparationStartDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionStartingDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionCompletionDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.NonOrderDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.RequestedDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.EstimatesSubmitDeadline.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.EstimatesSubmittedDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ProvisionalOrderDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderStartingDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderCompletionDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.PreparationStartDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionStartingDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionCompletionDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.NonOrderDate.ToShortDateString());
 
                     strcmd += string.Format(", {0}", data.OrdersDecisionPrice);
                     strcmd += string.Format(", {0}", data.OrdersDecisionPriceInTax);
@@ -313,21 +317,21 @@
                     strcmd += string.Format(", {0}", data.ConstructionInstructor);
 
                     strcmd += string.Format(", {0}", data.TransferConstruction);
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.TransferConstructionDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.TransferConstructionDate.ToShortDateString());
 
                     strcmd += string.Format(", {0}", data.OrderersDivision);
                     strcmd += string.Format(", {0}", data.OrderersCode);
 
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.EstimatesExpirationDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodStart.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodStart2.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd2.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.EndDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.PurchaseOrderMailingDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.PurchaseOrderReturnDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.PurchaseOrderReturnCheckDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.EstimatesExpirationDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodStart.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodStart2.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd2.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.EndDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseOrderMailingDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseOrderReturnDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseOrderReturnCheckDate.ToShortDateString());
 
                     strcmd += string.Format(", {0}", data.ConsumptionTaxFlg);
                     strcmd += string.Format(", {0}", data.PrimeContractorFlg);
@@ -337,14 +341,14 @@
                     strcmd += string.Format(", {0}", data.ConstructionType);
                     strcmd += string.Format(", {0}", data.EstimateType);
 
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.BillingStartDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.BillingDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingStartDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingDate.ToShortDateString());
                     strcmd += string.Format(", {0}", data.BillingSplitFlg);
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.BillingSendDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.LedgerComplateDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingSendDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.LedgerComplateDate.ToShortDateString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -403,20 +407,21 @@
 
                 strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);
                 strcmd += string.Format(", TyingFlg = {0}", data.TyingFlg);
+                strcmd += string.Format(", JoinFlg = {0}", data.JoinFlg);
                 strcmd += string.Format(", ConstructionYear = {0}", data.ConstructionYear);
                 strcmd += string.Format(", ConstructionPeriod = {0}", data.ConstructionPeriod);
 
-                strcmd += string.Format(", RequestedDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.RequestedDate.ToShortDateString());
-                strcmd += string.Format(", EstimatesSubmitDeadline = DATE_FORMAT('{0}','%Y/%m/%d')", data.EstimatesSubmitDeadline.ToShortDateString());
-                strcmd += string.Format(", EstimatesSubmittedDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.EstimatesSubmittedDate.ToShortDateString());
-                strcmd += string.Format(", ProvisionalOrderDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.ProvisionalOrderDate.ToShortDateString());
-                strcmd += string.Format(", OrderDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
-                strcmd += string.Format(", OrderStartingDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.OrderStartingDate.ToShortDateString());
-                strcmd += string.Format(", OrderCompletionDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.OrderCompletionDate.ToShortDateString());
-                strcmd += string.Format(", PreparationStartDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.PreparationStartDate.ToShortDateString());
-                strcmd += string.Format(", ConstructionStartingDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionStartingDate.ToShortDateString());
-                strcmd += string.Format(", ConstructionCompletionDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionCompletionDate.ToShortDateString());
-                strcmd += string.Format(", NonOrderDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.NonOrderDate.ToShortDateString());
+                strcmd += string.Format(", RequestedDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.RequestedDate.ToShortDateString());
+                strcmd += string.Format(", EstimatesSubmitDeadline = STR_TO_DATE('{0}','%Y/%m/%d')", data.EstimatesSubmitDeadline.ToShortDateString());
+                strcmd += string.Format(", EstimatesSubmittedDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.EstimatesSubmittedDate.ToShortDateString());
+                strcmd += string.Format(", ProvisionalOrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.ProvisionalOrderDate.ToShortDateString());
+                strcmd += string.Format(", OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", OrderStartingDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderStartingDate.ToShortDateString());
+                strcmd += string.Format(", OrderCompletionDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderCompletionDate.ToShortDateString());
+                strcmd += string.Format(", PreparationStartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PreparationStartDate.ToShortDateString());
+                strcmd += string.Format(", ConstructionStartingDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionStartingDate.ToShortDateString());
+                strcmd += string.Format(", ConstructionCompletionDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionCompletionDate.ToShortDateString());
+                strcmd += string.Format(", NonOrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.NonOrderDate.ToShortDateString());
 
                 strcmd += string.Format(", OrdersDecisionPrice = {0}", data.OrdersDecisionPrice);
                 strcmd += string.Format(", OrdersDecisionPriceInTax = {0}", data.OrdersDecisionPriceInTax);
@@ -427,21 +432,21 @@
                 strcmd += string.Format(", ConstructionInstructor = {0}", data.ConstructionInstructor);
 
                 strcmd += string.Format(", TransferConstruction = {0}", data.TransferConstruction);
-                strcmd += string.Format(", TransferConstructionDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.TransferConstructionDate.ToShortDateString());
+                strcmd += string.Format(", TransferConstructionDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TransferConstructionDate.ToShortDateString());
 
                 strcmd += string.Format(", OrderersDivision = {0}", data.OrderersDivision);
                 strcmd += string.Format(", OrderersCode = {0}", data.OrderersCode);
 
-                strcmd += string.Format(", EstimatesExpirationDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.EstimatesExpirationDate.ToShortDateString());
-                strcmd += string.Format(", ConstructionPeriodStart = DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodStart.ToShortDateString());
-                strcmd += string.Format(", ConstructionPeriodEnd = DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd.ToShortDateString());
-                strcmd += string.Format(", ConstructionPeriodStart2 = DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodStart2.ToShortDateString());
-                strcmd += string.Format(", ConstructionPeriodEnd2 = DATE_FORMAT('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd2.ToShortDateString());
-                strcmd += string.Format(", StartDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd += string.Format(", EndDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.EndDate.ToShortDateString());
-                strcmd += string.Format(", PurchaseOrderMailingDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.PurchaseOrderMailingDate.ToShortDateString());
-                strcmd += string.Format(", PurchaseOrderReturnDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.PurchaseOrderReturnDate.ToShortDateString());
-                strcmd += string.Format(", PurchaseOrderReturnCheckDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.PurchaseOrderReturnCheckDate.ToShortDateString());
+                strcmd += string.Format(", EstimatesExpirationDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.EstimatesExpirationDate.ToShortDateString());
+                strcmd += string.Format(", ConstructionPeriodStart = STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodStart.ToShortDateString());
+                strcmd += string.Format(", ConstructionPeriodEnd = STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd.ToShortDateString());
+                strcmd += string.Format(", ConstructionPeriodStart2 = STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodStart2.ToShortDateString());
+                strcmd += string.Format(", ConstructionPeriodEnd2 = STR_TO_DATE('{0}','%Y/%m/%d')", data.ConstructionPeriodEnd2.ToShortDateString());
+                strcmd += string.Format(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                strcmd += string.Format(", EndDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.EndDate.ToShortDateString());
+                strcmd += string.Format(", PurchaseOrderMailingDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseOrderMailingDate.ToShortDateString());
+                strcmd += string.Format(", PurchaseOrderReturnDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseOrderReturnDate.ToShortDateString());
+                strcmd += string.Format(", PurchaseOrderReturnCheckDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseOrderReturnCheckDate.ToShortDateString());
 
                 strcmd += string.Format(", ConsumptionTaxFlg = {0}", data.ConsumptionTaxFlg);
                 strcmd += string.Format(", PrimeContractorFlg = {0}", data.PrimeContractorFlg);
@@ -451,13 +456,13 @@
                 strcmd += string.Format(", ConstructionType = {0}", data.ConstructionType);
                 strcmd += string.Format(", EstimateType = {0}", data.EstimateType);
 
-                strcmd += string.Format(", BillingStartDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.BillingStartDate.ToShortDateString());
-                strcmd += string.Format(", BillingDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.BillingDate.ToShortDateString());
+                strcmd += string.Format(", BillingStartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingStartDate.ToShortDateString());
+                strcmd += string.Format(", BillingDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingDate.ToShortDateString());
                 strcmd += string.Format(", BillingSplitFlg = {0}", data.BillingSplitFlg);
-                strcmd += string.Format(", BillingSendDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.BillingSendDate.ToShortDateString());
-                strcmd += string.Format(", LedgerComplateDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.LedgerComplateDate.ToShortDateString());
+                strcmd += string.Format(", BillingSendDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.BillingSendDate.ToShortDateString());
+                strcmd += string.Format(", LedgerComplateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.LedgerComplateDate.ToShortDateString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
